EDIT - feature request #6485
feature request # 4719 (New): [MASTER] Implement IntextReference

Implement IntextReferences in TaxEditor
03/09/2017 04:57 PM - Andreas Mller

Status: In Progress Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 10%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

For information about IntextReferences see #4719

One solution could be the nebula rich text editor: http://www.eclipse.org/nebula/widgets/richtext/richtext.php

Note: See the caryo-nepenthaceae (or flora malesiana clean) database for existing examples for syntax. The IntextReference
already supports writing of correct syntax.

Related issues:
Related to EDIT - feature request #6486: Implement handling of IntextReferenc... New

History

#2 - 03/09/2017 05:02 PM - Andreas Miiller
- Related to feature request #4719: [MASTER] Implement IntextReference added

#3 - 03/09/2017 05:03 PM - Andreas Miiller

- Related to feature request #6486: Implement handling of IntextReferences in dataportal added

#4 - 03/15/2017 04:07 PM - Andreas Miller
- Parent task set to #4719

#5 - 07/07/2017 10:17 PM - Andreas Miller

Example data for reference and key are now available for caryo_nepenthes and flora_malesiana_clean. Example data you may find in #6472. You will
find examples for intext linking to reference in these taxa, too.

#6 - 08/15/2017 12:40 PM - Katja Luther
- Status changed from New to In Progress

- % Done changed from 0 to 10

#7 - 08/15/2017 01:37 PM - Katja Luther

A first implementation can be found in branch intextReference.

#8 - 01/08/2018 11:03 AM - Katja Luther
open issues:

e deleting or editing text of inline reference

e editing the text around the inline reference
https://dev.e-taxonomy.eu/redmine/issues/4719
http://www.eclipse.org/nebula/widgets/richtext/richtext.php
https://dev.e-taxonomy.eu/redmine/issues/6472
http://www.tcpdf.org

